if (NOT FIND_OPENSG_LOADED)

include (${CAVESCENEMANAGER_SOURCE_DIR}/cmake/FindHelperMacros.cmake)

set (OPENSG_BIN_EXECUTABLE osg-config)

if (WIN32)
  set (OPENSG_PREDEF_INCLUDE_PATHS C:/Programme/OpenSG C:/Program\ Files/OpenSG)
  FIND_DIR_MACRO ("OpenSG 1.8" OPENSG_DIR lib/OSGWindowGLUT.lib OPENSG_PREDEF_INCLUDE_PATHS EMPTY_SUFFIX)

elseif (APPLE AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  FIND_DIR_MACRO("OpenSG 1.8 binary" OPENSG_BIN_DIR osg-config EMPTY_PATH EMTPY_SUFFIX)

elseif (UNIX)
  FIND_DIR_MACRO("OpenSG 1.8 binary" OPENSG_BIN_DIR osg-config EMPTY_PATH EMTPY_SUFFIX)

else (WIN32)
  message (FATAL_ERROR "Unable to identify target operating system!")

endif (WIN32)

set (FIND_OPENSG_LOADED ON)
endif (NOT FIND_OPENSG_LOADED)

