# CMAKE config file for CAVESCENEMANAGER

# DON'T COMMENT THIS OUT, IT IS NEEDED TO AVOID MULTIPLE INCLUDING OF THIS FILE
if (NOT CAVESCENEMANAGER_CONFIG_USER_LOADED)

# DEFINES TARGET BUILD TYPE
# The default target is Release. Uncomment the following line in order to
# change the target build type.
#set (CMAKE_BUILD_TYPE Debug)

# FOR LINUX SYSTEMS:
# DEFINES OPENSG BINARY DIRECTORY
# By uncommenting the following line you can specify the path where the binary
# "osg-config" from OpenSG is located.
# If this entry is not set cmake tries to find the path by itself.
#set (OPENSG_BIN_DIR /usr/local/bin)

# FOR WINDOWS SYSTEMS:
# DEFINES OPENSG DIRECTORY
# By uncommenting the following line you can specify the path where OpenSG
# is installed.
# If this entry is not set cmake tries to find the path by itself.
#set (OPENSG_DIR C:/Program\ Files/OpenSG)

# DEFINES THE GLUT DIRECTORIES
# By uncommenting the following lines you can specify the path where the glut
# include and library files can be found. If not specified these are searched
# in the system include and library directories on Linux installations or in
# the OpenSG directory on Windows systems.
#set (GLUT_INCLUDE_DIR C:/Dokumente\ und\ Einstellungen/Administrator/Desktop/glut-3.7.6-bin)
#set (GLUT_LIBRARY_DIR C:/Dokumente\ und\ Einstellungen/Administrator/Desktop/glut-3.7.6-bin)

set (CAVESCENEMANAGER_CONFIG_USER_LOADED ON)
endif (NOT CAVESCENEMANAGER_CONFIG_USER_LOADED)
